﻿using System;
using System.Collections.Generic;
using System.Text;
using HeuristicLab.Hive.Contracts.BusinessObjects;

namespace HeuristicLab.Hive.Server.DataAccess {
  public interface ISlaveGroupDao: IGenericDao<SlaveGroupDto> {
    void AddRessourceToSlaveGroup(Guid ressource, Guid SlaveGroupId);
    void RemoveRessourceFromSlaveGroup(Guid ressource, Guid slaveGroupId);

    IEnumerable<SlaveGroupDto> MemberOf(SlaveDto slave);

    IEnumerable<SlaveGroupDto> FindAllWithSubGroupsAndSlaves();
    IEnumerable<Guid> FindAllGroupAndParentGroupIdsForSlave(Guid slaveId);

    IEnumerable<SlaveGroupDto> FindByName(string res);
  }
}
